Issue 122378

Summary: support system STL on Windows
Product: General Reporter: hdu <hdu>
Component: codeAssignee: hdu <hdu>
Status: RESOLVED FIXED QA Contact:
Severity: Normal    
Priority: P3 CC: issues, orw
Version: 4.0.0-dev   
Target Milestone: 4.0.0   
Hardware: All   
OS: Windows, all   
Issue Type: TASK Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on: 122208    
Issue Blocks:    

Description hdu@apache.org 2013-05-24 18:19:41 UTC
AOO's windows build doesn't allow building without stlport4. Support for using the system STL (which on Windows is MSVC's TR1) should be added.
Comment 1 SVN Robot 2013-05-24 18:26:33 UTC
"hdu" committed SVN revision 1486149 into branches/rejuvenate01:
#i122378# allow linking against MSVC TR1's STL libraries instead of stlport
Comment 2 SVN Robot 2013-05-27 11:34:50 UTC
"hdu" committed SVN revision 1486585 into trunk:
#i122378# replace std::iota() with open code
Comment 3 SVN Robot 2013-05-27 15:58:29 UTC
"hdu" committed SVN revision 1486650 into trunk:
#i122378# allow linking against MSVC TR1's STL libraries instead of stlport
Comment 4 SVN Robot 2013-05-27 16:04:50 UTC
"hdu" committed SVN revision 1486651 into trunk:
#i122378# filter symbols from win's native tr1 from reexport
Comment 5 SVN Robot 2013-05-28 09:52:00 UTC
"hdu" committed SVN revision 1486840 into trunk:
#i122378# avoid non-iterator bound std::transform() in namedvaluecollection.hxx
Comment 6 SVN Robot 2013-05-28 10:01:59 UTC
"hdu" committed SVN revision 1486846 into trunk:
#i122378# support graphite on system-STL based AOO on Windows
Comment 7 SVN Robot 2013-05-30 16:39:30 UTC
"hdu" committed SVN revision 1487917 into trunk:
#i122378# disable workaround needed only for improperly installed MSVC versions
Comment 8 SVN Robot 2013-06-06 16:05:44 UTC
"hdu" committed SVN revision 1490324 into trunk:
#i122378# fix the dbgutil-enabled build on Windows
Comment 9 SVN Robot 2013-06-06 16:49:14 UTC
"hdu" committed SVN revision 1490351 into trunk:
#i122378# fix dbgutil-enabled gbuild of modules on Windows
Comment 10 SVN Robot 2013-06-06 17:12:35 UTC
"hdu" committed SVN revision 1490357 into trunk:
#i122378# fix build of dbgutil-enabled static libraries on Windows
Comment 11 Oliver-Rainer Wittmann 2013-06-12 14:47:39 UTC
Please see bug 122500 for further changes to the build system
Comment 12 hdu@apache.org 2013-07-11 07:05:01 UTC
AOO 4.0 will use the system STL on Windows (a.k.a MSVC's TR1).